"""Regulaciones Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class RegulacionesResponse(BaseModel):
    """Regulaciones y restricciones"""

    FRACCION: Optional[str] = Field(None, max_length=10)
    PERMISO: Optional[str] = Field(None, max_length=2)
    ACUERDO: Optional[str] = Field(None, max_length=15)
    CLAVE: Optional[str] = Field(None, max_length=10)
    DESCRIPCION: Optional[str] = None
    NICO: Optional[str] = Field("", max_length=2)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
